com.h3c.util.persistence.cassandra.entitymgr.column

## Class CustomColumn.CustomColumnDecoder<C extends Serializable & Comparable<C>,D>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.CustomColumn.CustomColumnDecoder<C,D>

- Type Parameters:
    `C` - type of the column name or column key
    `D` - type of the column value
  All Implemented Interfaces:
    Decoder<Column<C,D>,com.netflix.astyanax.model.Column<C>>, ColumnDecoder<C,D>
  Enclosing class:
    CustomColumn<C extends Serializable & Comparable<C>,D>

      public static final class CustomColumn.CustomColumnDecoder<C extends Serializable & Comparable<C>,D>
      extends Object
      implements ColumnDecoder<C,D>

  Custom column decoder.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomColumn.CustomColumnDecoder(com.netflix.astyanax.Serializer<D> serializer)` Creates a custom column decoder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Column<C,D>` | `decode(com.netflix.astyanax.model.Column<C> code)` Method decode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomColumn.CustomColumnDecoder

          public CustomColumn.CustomColumnDecoder(com.netflix.astyanax.Serializer<D> serializer)

      Creates a custom column decoder.
      Parameters:
        `serializer` - as argument

  - ### Method Detail

    - #### decode

          public Column<C,D> decode(com.netflix.astyanax.model.Column<C> code)
                                                                 throws IllegalArgumentException

      Method decode.
      Specified by:
        `decode` in interface `Decoder<Column<C extends Serializable & Comparable<C>,D>,com.netflix.astyanax.model.Column<C extends Serializable & Comparable<C>>>`
      Parameters:
        `code` - com.netflix.astyanax.model.Column
      Returns:
        Column
      Throws:
        `IllegalArgumentException`

Copyright © 2014. All Rights Reserved.